所有api接口都需要鉴权规则,具体详情前往新平台鉴权规则查看

1.会话报表

  • 请求路径 /openapi/im-report/session/time
  • 请求参数
字段名称 字段类型 是否必传 字段描述 示例 备注
createTime string[] 会话创建开始时间,最长时间不能超过一年 ["2021-08-01 00:00:00", "2021-08-31 00:00:00"]
dimension string 报表维度(half_hour/hour/day/month/year)如果不传此字段,默认为hour一小时维度 "hour"
accessIds String[] 接入号列表,展示固定接入号的数据 ["jT5AH3dA7dtMNjAQ"]
  • 请求示例
curl --location --request POST  'https://v7openapi.7moor.com/openapi/im-report/session/time' 
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
  • 请求体示例
{
    "createTime":["2021-08-01 00:00:00","2021-08-31 00:00:00"],
    "dimension":"hour",
    "accessIds":["XhRRVj3VLLVYsoNA"]
}
  • 返回参数
字段名称 字段类型 字段描述
isCustomHeader boolean 是否是表头
prop string 参数key
show string 是否展示
width string 宽度
label string 字段备注
  • 返回示例 返回的结果字段说明对应返回的表头信息对应
{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": {
        "header": [
            {
                "isCustomHeader": false,
                "prop": "time",
                "show": true,
                "width": "200",
                "label": "时间"
            },
            {
                "isCustomHeader": false,
                "prop": "initCount",
                "show": true,
                "width": 120,
                "label": "总会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "validCount",
                "show": true,
                "width": 120,
                "label": "有效会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "robotCount",
                "show": true,
                "width": 120,
                "label": "机器人会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "robotOnlyCount",
                "show": true,
                "width": 120,
                "label": "机器人独立接待会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "robotManualSucCount",
                "show": true,
                "width": 120,
                "label": "机器人转人工成功数"
            },
            {
                "isCustomHeader": false,
                "prop": "manualCount",
                "show": true,
                "width": 120,
                "label": "人工服务数"
            },
            {
                "isCustomHeader": false,
                "prop": "queueUpCount",
                "show": false,
                "width": 120,
                "label": "排队数"
            },
            {
                "isCustomHeader": false,
                "prop": "queueGiveUpCount",
                "show": true,
                "width": 120,
                "label": "排队放弃数"
            },
            {
                "isCustomHeader": false,
                "prop": "lossCount",
                "show": true,
                "width": 120,
                "label": "流失会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "finishCount",
                "show": true,
                "width": 120,
                "label": "完成会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "inviteCount",
                "show": true,
                "width": 120,
                "label": "主动会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "transferCount",
                "show": false,
                "width": 120,
                "label": "转接会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "leavingCount",
                "show": false,
                "width": 120,
                "label": "留言数"
            },
            {
                "isCustomHeader": false,
                "prop": "noVisitorMsgCount",
                "show": false,
                "width": 120,
                "label": "访客无消息会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "noReplyCount",
                "show": false,
                "width": 120,
                "label": "未回复会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "msgCount",
                "show": false,
                "width": 120,
                "label": "总消息数"
            },
            {
                "isCustomHeader": false,
                "prop": "agentSendMsgCount",
                "show": false,
                "width": 120,
                "label": "座席消息数"
            },
            {
                "isCustomHeader": false,
                "prop": "visitorSendMsgCount",
                "show": false,
                "width": 120,
                "label": "访客消息数"
            },
            {
                "isCustomHeader": false,
                "prop": "evaluateCount",
                "show": true,
                "width": 120,
                "label": "评价数"
            },
            {
                "isCustomHeader": false,
                "prop": "sessionTimeLen",
                "show": true,
                "width": 120,
                "label": "平均会话时长"
            },
            {
                "isCustomHeader": false,
                "prop": "pushCsrCount",
                "show": false,
                "width": 120,
                "label": "邀评数"
            }
        ],
        "list": [
            {
                "time": "2021-08-05",
                "initCount": 11,
                "validCount": 0,
                "robotCount": 7,
                "robotOnlyCount": 7,
                "robotManualSucCount": 0,
                "manualCount": 0,
                "queueUpCount": 0,
                "queueGiveUpCount": 0,
                "lossCount": 0,
                "finishCount": 11,
                "inviteCount": 0,
                "transferCount": 0,
                "leavingCount": 0,
                "noVisitorMsgCount": 4,
                "noReplyCount": 11,
                "msgCount": 73,
                "agentSendMsgCount": 0,
                "visitorSendMsgCount": 60,
                "evaluateCount": 0,
                "sessionTimeLen": 1309,
                "pushCsrCount": 0
            }
        ]
    },
    "requestInfo": {
        "requestId": "87075a80182711ec8b16b180785f4857",
        "url": "/openapi/im-report/session/time",
        "proxyUrl": "http://v7-im-gateway-inside.ykf-test-two/openapi/im-report/session/time",
        "body": {
            "createTime": [
                "2021-08-05 00:00:00",
                "2021-08-06 00:00:00"
            ],
            "dimension": "day"
        },
        "span": {
            "requestStartTime": 1631931858984,
            "proxyStartTime": 1631931858985,
            "proxyEndTime": 1631931859026,
            "reqEndTime": 1631931859027,
            "bizSpan": "41ms",
            "latency": "2ms"
        }
    }
}

2.坐席工作量报表

  • 请求路径 /openapi/im-report/agent/workload
  • 请求参数
字段名称 字段类型 是否必传 字段描述 示例
createTime String[] 创建时间,最不能超过一年 ["2021-08-01 00:00:00", "2021-08-31 00:00:00"]
agentList String[] 坐席列表 ["jT5AH3dA7dtMNjAQ"]
  • 请求示例
curl --location --request POST  'https://v7openapi.7moor.com/openapi/im-report/agent/workload’
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
  • 请求体示例
{
    "createTime":["2021-08-01 00:00:00","2021-08-31 00:00:00"],
    "agentList":["6062db21d316840011c6b992"]
}
  • 返回参数
字段名称 字段类型 字段描述
isCustomHeader boolean 是否是表头
prop string 参数key
show string 是否展示
width string 宽度
label string 字段备注
  • 返回示例
{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": {
        "header": [
            {
                "isCustomHeader": false,
                "prop": "agentId",
                "show": true,
                "width": 120,
                "label": "座席姓名"
            },
            {
                "isCustomHeader": false,
                "prop": "initCount",
                "show": true,
                "width": 120,
                "label": "接待会话总数"
            },
            {
                "isCustomHeader": false,
                "prop": "assignCount",
                "show": true,
                "width": 120,
                "label": "分配会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "invalidCount",
                "show": true,
                "width": 120,
                "label": "有效会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "inviteCount",
                "show": true,
                "width": 120,
                "label": "主动会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "receiveLeavingCount",
                "show": true,
                "width": 120,
                "label": "接入留言数"
            },
            {
                "isCustomHeader": false,
                "prop": "delLeavingCount",
                "show": true,
                "width": 120,
                "label": "处理留言数"
            },
            {
                "isCustomHeader": false,
                "prop": "transferOutCount",
                "show": true,
                "width": 120,
                "label": "转出会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "transferInCount",
                "show": true,
                "width": 120,
                "label": "转入会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "replyCount",
                "show": true,
                "width": 120,
                "label": "响应会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "noVisitorMsgCount",
                "show": true,
                "width": 120,
                "label": "访客无消息会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "finishCount",
                "show": true,
                "width": 120,
                "label": "完成会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "agentSendMsgCount",
                "show": true,
                "width": 120,
                "label": "回复消息数"
            },
            {
                "isCustomHeader": false,
                "prop": "visitorSendMsgCount",
                "show": true,
                "width": 120,
                "label": "接收消息数"
            },
            {
                "isCustomHeader": false,
                "prop": "loginTotalTimeLength",
                "show": true,
                "width": 120,
                "label": "登录总时长"
            },
            {
                "isCustomHeader": true,
                "prop": "1b1070a2-e9f4-42c2-9f21-b2aab5b74119",
                "show": true,
                "width": 120,
                "label": "在线总时长"
            },
            {
                "isCustomHeader": true,
                "prop": "8b7ad7a6-945a-4a76-a1e6-b9c53ef6d08f",
                "show": true,
                "width": 120,
                "label": "忙碌总时长"
            },
            {
                "isCustomHeader": true,
                "prop": "f1ed03f7-b42c-406b-ac08-f441c8982d6d",
                "show": true,
                "width": 120,
                "label": "小休总时长"
            },
            {
                "isCustomHeader": true,
                "prop": "680e38df-7554-4e06-b033-3a94b6733ee3",
                "show": true,
                "width": 120,
                "label": "ceshi总时长"
            },
            {
                "isCustomHeader": true,
                "prop": "9c68a0a3-18cb-462f-9265-fd0d09f210cf",
                "show": true,
                "width": 120,
                "label": "测"
            }
        ],
        "list": [
            {
                "agentId": "别动[6012]",
                "initCount": 0,
                "assignCount": 0,
                "invalidCount": 0,
                "inviteCount": 0,
                "receiveLeavingCount": 4,
                "delLeavingCount": 4,
                "transferOutCount": 0,
                "transferInCount": 0,
                "replyCount": 0,
                "noVisitorMsgCount": 4,
                "finishCount": 0,
                "agentSendMsgCount": 0,
                "visitorSendMsgCount": 0,
                "everyTimeLength": {
                    "1b1070a2-e9f4-42c2-9f21-b2aab5b74119": 1607,
                    "loginTotalTimeLength": 0,
                    "8b7ad7a6-945a-4a76-a1e6-b9c53ef6d08f": 12
                }
            },
            {
                "agentId": "在线客服[8029]",
                "initCount": 2,
                "assignCount": 2,
                "invalidCount": 0,
                "inviteCount": 0,
                "receiveLeavingCount": 0,
                "delLeavingCount": 0,
                "transferOutCount": 0,
                "transferInCount": 0,
                "replyCount": 0,
                "noVisitorMsgCount": 1,
                "finishCount": 0,
                "agentSendMsgCount": 0,
                "visitorSendMsgCount": 0,
                "everyTimeLength": {
                    "1b1070a2-e9f4-42c2-9f21-b2aab5b74119": 0,
                    "loginTotalTimeLength": 0
                }
            },
            {
                "agentId": "6014[6014]",
                "initCount": 2,
                "assignCount": 2,
                "invalidCount": 0,
                "inviteCount": 0,
                "receiveLeavingCount": 0,
                "delLeavingCount": 0,
                "transferOutCount": 0,
                "transferInCount": 0,
                "replyCount": 0,
                "noVisitorMsgCount": 0,
                "finishCount": 2,
                "agentSendMsgCount": 0,
                "visitorSendMsgCount": 0,
                "everyTimeLength": {
                    "1b1070a2-e9f4-42c2-9f21-b2aab5b74119": 20,
                    "loginTotalTimeLength": 0,
                    "8b7ad7a6-945a-4a76-a1e6-b9c53ef6d08f": 12687
                }
            }
        ]
    },
    "requestInfo": {
        "requestId": "128187c0182811ec8b16b180785f4857",
        "url": "/openapi/im-report/agent/workload",
        "proxyUrl": "http://v7-im-gateway-inside.ykf-test-two/openapi/im-report/agent/workload",
        "body": {
            "createTime": [
                "2021-09-16 00:00:00",
                "2021-09-17 00:00:00"
            ],
            "dimension": "day"
        },
        "span": {
            "requestStartTime": 1631932092989,
            "proxyStartTime": 1631932092990,
            "proxyEndTime": 1631932093100,
            "reqEndTime": 1631932093101,
            "bizSpan": "110ms",
            "latency": "2ms"
        }
    }
}

3.坐席工作质量报表

  • 请求路径 /openapi/im-report/agent/quality
  • 请求参数
字段名称 字段类型 是否必传 字段描述 示例
createTime String[] 创建时间,最不能超过一年 ["2021-08-01 00:00:00", "2021-08-31 00:00:00"]
agentList String[] 坐席列表 ["jT5AH3dA7dtMNjAQ"]
  • 请求示例
curl --location --request POST  'https://v7openapi.7moor.com/openapi/im-report/agent/quality’
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
  • 请求体示例
{
    "createTime":["2021-08-01 00:00:00","2021-08-31 00:00:00"],
    "agentList":["6062db21d316840011c6b992"]
}
  • 返回参数 返回的结果字段说明对应返回的表头信息对应,satisfaction字段为坐席的所有满意度字段,其中的key对应表头中的满意度名称。

  • 返回示例

{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": {
        "header": [
            {
                "isCustomHeader": false,
                "prop": "agentId",
                "width": 120,
                "show": true,
                "label": "座席姓名"
            },
            {
                "isCustomHeader": false,
                "prop": "initCount",
                "width": 120,
                "show": true,
                "label": "接待会话总数"
            },
            {
                "isCustomHeader": false,
                "prop": "assignCount",
                "width": 120,
                "show": true,
                "label": "分配会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "invalidCount",
                "width": 120,
                "show": true,
                "label": "有效会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "inviteCount",
                "width": 120,
                "show": true,
                "label": "主动会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "replyCount",
                "width": 120,
                "show": true,
                "label": "响应会话数"
            },
            {
                "isCustomHeader": false,
                "prop": "firstResponseNotIncludeLen",
                "width": 120,
                "show": true,
                "label": "首响总时长"
            },
            {
                "isCustomHeader": false,
                "prop": "sessionNotIncludeTimeLen",
                "width": 120,
                "show": true,
                "label": "会话总时长"
            },
            {
                "isCustomHeader": false,
                "prop": "avgFirstResponseNotIncludeLen",
                "width": 120,
                "show": true,
                "label": "平均首响时长"
            },
            {
                "isCustomHeader": false,
                "prop": "avgSessionNotIncludeTimeLen",
                "width": 120,
                "show": true,
                "label": "平均会话时长"
            },
            {
                "isCustomHeader": false,
                "prop": "avgMsgResponseLen",
                "width": 120,
                "show": true,
                "label": "平均响应时长"
            },
            {
                "isCustomHeader": false,
                "prop": "pushCsrCount",
                "width": 120,
                "show": true,
                "label": "邀评数"
            },
            {
                "isCustomHeader": false,
                "prop": "agentPushCsrCount",
                "width": 120,
                "show": true,
                "label": "座席主动邀评数"
            },
            {
                "isCustomHeader": false,
                "prop": "pushCsrRate",
                "width": 120,
                "show": true,
                "label": "邀评率"
            },
            {
                "isCustomHeader": false,
                "prop": "evaluateCount",
                "width": 120,
                "show": true,
                "label": "参评数"
            },
            {
                "isCustomHeader": false,
                "prop": "evaluateRate",
                "width": 120,
                "show": true,
                "label": "参评率"
            },
            {
                "isCustomHeader": false,
                "prop": "quesAndAnswerRate",
                "width": 120,
                "show": true,
                "label": "答问比"
            },
            {
                "isCustomHeader": false,
                "prop": "twentyFourHourSolutionRate",
                "width": 120,
                "show": true,
                "label": "24h一次性解决率"
            },
            {
                "isCustomHeader": false,
                "prop": "fortyEightHourSolutionRate",
                "width": 120,
                "show": true,
                "label": "48h一次性解决率"
            },
            {
                "prop": "f71212c6-0927-4bad-99dc-a61f73fe2233",
                "label": "一般",
                "show": true,
                "width": 120,
                "customHeader": false
            },
            {
                "prop": "dceb6c54-5a00-4114-a36f-0f4e8e0f8659",
                "label": "很不满意",
                "show": true,
                "width": 120,
                "customHeader": false
            },
            {
                "prop": "4bdb8852-0ec4-4597-b407-3f268ac3cd18",
                "label": "超级满意1",
                "show": true,
                "width": 120,
                "customHeader": false
            },
            {
                "prop": "bb90cf04-e6a5-4633-af3f-19eee6f025f9",
                "label": "满意",
                "show": true,
                "width": 120,
                "customHeader": false
            },
            {
                "prop": "aa683307-4f25-418a-ae12-ea14c579856a",
                "label": "不满意",
                "show": true,
                "width": 120,
                "customHeader": false
            }
        ],
        "list": [
            {
                "agentId": "庞磊测试123[8238]",
                "initCount": 3,
                "assignCount": 3,
                "invalidCount": 3,
                "inviteCount": 0,
                "replyCount": 3,
                "firstResponseNotIncludeLen": 36,
                "sessionNotIncludeTimeLen": 85,
                "avgFirstResponseNotIncludeLen": 12,
                "avgSessionNotIncludeTimeLen": 28,
                "avgMsgResponseLen": 12,
                "pushCsrCount": 1,
                "agentPushCsrCount": 1,
                "pushCsrRate": 33.33,
                "evaluateCount": 3,
                "evaluateRate": 100,
                "quesAndAnswerRate": 100,
                "twentyFourHourSolutionRate": 33.33,
                "fortyEightHourSolutionRate": 66.67,
                "satisfaction": {
                    "dceb6c54-5a00-4114-a36f-0f4e8e0f8659": 66.67,
                    "4bdb8852-0ec4-4597-b407-3f268ac3cd18": 33.33
                }
            }
        ]
    },
    "requestInfo": {
        "requestId": "d8189190182811ec8b16b180785f4857",
        "url": "/openapi/im-report/agent/quality",
        "proxyUrl": "http://v7-im-gateway-inside.ykf-test-two/openapi/im-report/agent/quality",
        "body": {
            "createTime": [
                "2021-09-16 00:00:00",
                "2021-09-17 00:00:00"
            ],
            "agentList": [
                "6008192e58151c00119ab181"
            ]
        },
        "span": {
            "requestStartTime": 1631932424489,
            "proxyStartTime": 1631932424490,
            "proxyEndTime": 1631932424588,
            "reqEndTime": 1631932424588,
            "bizSpan": "98ms",
            "latency": "1ms"
        }
    }
}